package com.ruoyi.invest.domain;

import com.ruoyi.tool.domain.TUnifyFile;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.List;

/**
 * 尽调人员关联表对象 t_project_investigate_person
 * 
 * @author zjc
 * @date 2024-03-13
 */
public class TProjectInvestigatePerson extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    private String id;

    /** 尽调ID */
    @Excel(name = "尽调ID")
    private String projectInvestigateId;

    /** 尽调人员名称 */
    @Excel(name = "尽调人员名称")
    private String investigatePerson;

    /** 尽调人员ID */
    @Excel(name = "尽调人员ID")
    private String investigatePersonId;

    /** 尽调人员部门ID */
    @Excel(name = "尽调人员部门ID")
    private Long deptId;

    /** 尽调人员部门名称 */
    @Excel(name = "尽调人员部门名称")
    private String deptName;

    /** 项目id */
    private String projectPoolId;
    /**
     * 附件信息
     */
    private List<TUnifyFile> listFile;

    public void setId(String id) 
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }
    public void setProjectInvestigateId(String projectInvestigateId) 
    {
        this.projectInvestigateId = projectInvestigateId;
    }

    public String getProjectInvestigateId() 
    {
        return projectInvestigateId;
    }
    public void setInvestigatePerson(String investigatePerson) 
    {
        this.investigatePerson = investigatePerson;
    }

    public String getInvestigatePerson() 
    {
        return investigatePerson;
    }
    public void setInvestigatePersonId(String investigatePersonId) 
    {
        this.investigatePersonId = investigatePersonId;
    }

    public String getInvestigatePersonId() 
    {
        return investigatePersonId;
    }
    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }
    public void setDeptName(String deptName) 
    {
        this.deptName = deptName;
    }

    public String getDeptName() 
    {
        return deptName;
    }

    public List<TUnifyFile> getListFile() {
        return listFile;
    }

    public void setListFile(List<TUnifyFile> listFile) {
        this.listFile = listFile;
    }

    public String getProjectPoolId() {
        return projectPoolId;
    }

    public void setProjectPoolId(String projectPoolId) {
        this.projectPoolId = projectPoolId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("projectInvestigateId", getProjectInvestigateId())
            .append("investigatePerson", getInvestigatePerson())
            .append("investigatePersonId", getInvestigatePersonId())
            .append("deptId", getDeptId())
            .append("deptName", getDeptName())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
